Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 201589 - AssertionError at org.openide.explorer.ExplorerActionsImpl$BaseAction.syncEnable
AssertionError at org.openide.explorer.ExplorerActionsImpl$BaseAction.syncEnable
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Explorer
7.1
All All
: P3 (vote)
: 7.1
Assigned To: Jaroslav Tulach
issues@platform
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-03 08:39 UTC by Geertjan Wielenga
Modified: 2011-09-08 14:26 UTC (History)
6 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (5.12 KB, text/plain)
2011-09-03 08:39 UTC, Geertjan Wielenga
Details
stacktrace (5.12 KB, text/plain)
2011-09-05 11:23 UTC, asenk
Details
stacktrace (5.12 KB, text/plain)
2011-09-05 12:23 UTC, williambacchi
Details
stacktrace (5.12 KB, text/plain)
2011-09-05 12:47 UTC, tnleeuw
Details
stacktrace (5.12 KB, text/plain)
2011-09-05 12:56 UTC, misterm
Details
stacktrace (5.12 KB, text/plain)
2011-09-05 22:41 UTC, misterm
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Geertjan Wielenga 2011-09-03 08:39:22 UTC
Build: NetBeans IDE Dev (Build 201109021148)
VM: Java HotSpot(TM) Client VM, 21.0-b17, Java(TM) SE Runtime Environment, 1.7.0-b147
OS: Linux

Stacktrace: 
java.lang.AssertionError
   at org.openide.explorer.ExplorerActionsImpl$BaseAction.syncEnable(ExplorerActionsImpl.java:542)
   at org.openide.explorer.ExplorerActionsImpl.syncActions(ExplorerActionsImpl.java:434)
   at org.openide.explorer.ExplorerActionsImpl.updateActionsState(ExplorerActionsImpl.java:430)
   at org.openide.explorer.ExplorerActionsImpl.access$200(ExplorerActionsImpl.java:91)
   at org.openide.explorer.ExplorerActionsImpl$DeleteActionPerformer.isEnabled(ExplorerActionsImpl.java:618)
   at org.openide.util.actions.CallbackSystemAction.updateEnabled(CallbackSystemAction.java:173)
Comment 1 Geertjan Wielenga 2011-09-03 08:39:27 UTC
Created attachment 110374 [details]
stacktrace
Comment 2 asenk 2011-09-05 11:23:15 UTC
Created attachment 110394 [details]
stacktrace

1. Start IDE with fresh user dir
2. Create new Project-> NetBeans Modules-> Module
3. Next
4. Type :org.something.name in Code Name Base
5. Finish
Comment 3 Exceptions Reporter 2011-09-05 11:23:25 UTC
This bug already has 5 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=180897
Comment 4 williambacchi 2011-09-05 12:23:16 UTC
Created attachment 110395 [details]
stacktrace
Comment 5 tnleeuw 2011-09-05 12:47:15 UTC
Created attachment 110396 [details]
stacktrace

Browsing in projects tree
Comment 6 misterm 2011-09-05 12:56:15 UTC
Created attachment 110397 [details]
stacktrace
Comment 7 Exceptions Reporter 2011-09-05 14:28:55 UTC
This bug already has 10 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=180897
Comment 8 misterm 2011-09-05 22:41:15 UTC
Created attachment 110412 [details]
stacktrace
Comment 9 Jaroslav Tulach 2011-09-06 07:41:18 UTC
ergonomics#f9ca6b48f024
Comment 10 Quality Engineering 2011-09-08 14:26:58 UTC
Integrated into 'main-golden', will be available in build *201109080600* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/f9ca6b48f024
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #201589: AssertionError at org.openide.explorer.ExplorerActionsImpl$BaseAction.syncEnable
Sometimes a query outside of AWT dispatch thread may happen and we need to allow it


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo